[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.Destroy

Destroy the TField instance

## Declaration

Source position: db.pas line 389

`public destructor TField.Destroy; override;`

## Description

Destroy cleans up any structures set up by the field instance, and then calls the inherited destructor. There should be no need to call this method under normal circumstances: the dataset instance will free any TField instances it has created when the dataset was opened.

## See also

TDataset.Close |  | Close the dataset